%{?scl:%scl_package python-cx_Oracle}
%{!?scl:%global pkg_name %{name}}


# different arches have differnet oracle versions
%define oracleicname instantclient
%ifarch ppc ppc64
%define oraclever 10.2.0.2
%define oracleicver %{oraclever}
%else
%ifarch ia64
%define oraclever 10.2.0.3
%define oracleicver %{oraclever}
%else
%define ociver 12c
%define oraclever 12.2
%define oracleicname instantclient%{oraclever}
%define oracleicver 12.2.0.1
%define pyversion 35
%endif
%endif


Summary: Python interface to Oracle
Name: %{?scl_prefix}python-cx_Oracle
Version: 6.3 
Release: 1%{?dist}
Source0: cx_Oracle-%{version}.tar.gz
License: Python Software Foundation License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prefix: %{_prefix}
Url: https://github.com/oracle/python-cx_Oracle/ 
ExclusiveArch: x86_64
AutoReq: 0
Provides: python(:DBAPI:oracle) = 2.0
%{?scl:BuildRequires: scl-utils}
%if "%{scl}" == "rh-python%{pyversion}"
BuildRequires: scl-utils
BuildRequires: rh-python%pyversion
Requires: rh-python%pyversion
BuildRequires: rh-python%pyversion-python-devel
%else
BuildRequires: python
Requires: python
BuildRequires: python-devel
%endif
BuildRequires: oracle-%{oracleicname}-devel
Requires: oracle-%{oracleicname}-basic >= %{oracleicver}

%description
Extension module for rh-python35 from Software Collection Library that 
enables access to Oracle Database. Conforms to the Python database API 2.0 
specification. For use with Oracle Client 12.2 


%prep
%setup -n cx_Oracle-%{version}

#kinda ugly but we need ORACLE_HOME to be set
%if "%{_lib}" == "lib64"
%define oracle_home /usr/lib/oracle/%{oraclever}/client64
%else
%define oracle_home /usr/lib/oracle/%{oraclever}/client
%endif


%build
export ORACLE_HOME=%{oracle_home}
export CFLAGS="$RPM_OPT_FLAGS"
%{?scl:scl enable %{scl} - << \EOF}
python setup.py build
%{?scl:EOF}


%install
export ORACLE_HOME=%{oracle_home}
%{?scl:scl enable %{scl} - << \EOF}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f INSTALLED_FILES
%doc LICENSE.txt README.txt samples test


%changelog
* Thu May 03 2018 Jacob Wang <jacob.wang@oracle.com> 6.3-1
- update to cx_Oracle 6.3

* Thu Dec 14 2017 Lans Hung <lans.hung@oracle.com> 6.0-2
- rename to rh-python35-python-cx_Oracle
- update to cx_Oracle 6.0

* Wed Jun 07 2017 Michael Mraka <michael.mraka@redhat.com> 5.3-1
- rebased to latest stable version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-5
- we need to use the exact oracle instantclient version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-4
- do not require exact version of oracle instantclient
- fixed tito build warning
- replace legacy name of Tagger with new one

* Fri Mar 15 2013 Michael Mraka <michael.mraka@redhat.com> 5.1.2-3
- fixed builder definition

* Mon Oct 22 2012 Michael Mraka
- Use the ReleaseTagger.
- rebuild with correct vendor

* Mon Oct 08 2012 Jan Pazdziora 5.1.2-1
- Rebase to cx_Oracle 5.1.2.

* Mon Oct 08 2012 Jan Pazdziora 5.0.4-2
- Require latest greatest oracle-instantclient11.2-*.
- %%defattr is not needed since rpm 4.4

* Fri Jan 07 2011 Jan Pazdziora <jpazdziora@redhat.com> 5.0.4-1
- cx_Oracle 5.0.4 with Oracle InstantClient 11g

